const express = require('express');
const cityApp = express();
const libs = `${process.cwd()}/libs`;
const log = require(`${libs}/log`)(module);
const squel = require('squel');
const dbQuery = require(`${libs}/db/query_exec`);
const query = require(`${libs}/middlewares/query`);
const response = require(`${libs}/middlewares/response`);

cityApp.get('/', (req, res, next) => {
    req.query = squel.select().from('municipios').toParam();
    next();
}, query, response);

cityApp.get('/:id', (req, res, next) => {
    req.query = squel.select().from('municipios').where('pk_municipio_id = ?',
        parseInt(req.params.id, 10)).toParam();
    next();
}, query, response);

cityApp.get('/ibge/:id', (req, res, next) => {
    const citySql = 'SELECT * FROM municipios WHERE codigo_ibge = ?';
    const cityIbgeCode = req.params.id;
    req.query = squel.select().from('municipios').where('codigo_ibge = ?',
        parseInt(req.params.id, 10)).toParam();
    next();
}, query, response);

cityApp.get('/state/:id', (req, res, next) => {
    req.query = squel.select().from('municipios').where('fk_estado_id = ?',
        parseInt(req.params.id, 10));
    next();
}, query, response);

module.exports = cityApp;
